/* tslint:disable */
/**
 * This file was automatically generated by json-schema-to-typescript.
 * DO NOT MODIFY IT BY HAND. Instead, modify the source JSONSchema file,
 * and run json-schema-to-typescript to regenerate this file.
 */

/**
 * If 'unsynced', the node is not currently synchronized with of its peers (it is probably still bootstrapping and its head is lagging behind the chain's).
 * If 'synced', the node considers itself synchronized with its peers and the current head timestamp is recent.
 * If 'stuck', the node considers itself synchronized with its peers but the chain seems to be halted from its viewpoint.
 */
export type ChainStatus = "stuck" | "synced" | "unsynced";

export interface BootstrappedStatus {
  bootstrapped: boolean;
  sync_state: ChainStatus;
}
